package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.student.SmartEvaluateSdetail;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 成绩表 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-01-08
 */
public interface SmartEvaluateSdetailService extends IService<SmartEvaluateSdetail> {

    public int insertSmartEvaluateSdetail(SmartEvaluateSdetail sa);

    public int updateSmartEvaluateSdetail(SmartEvaluateSdetail sa);

    public PageUtils<SmartEvaluateSdetail> queryPageSmartEvaluateSdetail(int currentPage, int pageCount, QueryWrapper<SmartEvaluateSdetail> queryWrapper);

    public int deleteSmartEvaluateSdetailById(int id);

    public SmartEvaluateSdetail getSmartEvaluateSdetailById(int id);

    public List<SmartEvaluateSdetail> getSmartEvaluateSdetailList();

    public List<SmartEvaluateSdetail> getSmartEvaluateSdetailByKey(QueryWrapper<SmartEvaluateSdetail> queryWrapper);

}
